## ShapeSpec

GLShape style specification

View Source GLShape.ts, line 1561

# Members

Type: `Func`

#### # callback Optional

function to call on click

View Source GLShape.ts, line 1595

Type: `boolean`

#### # clickable Optional

if true, user can click on object to trigger callback

View Source GLShape.ts, line 1590

Type: `ColorSpec` | `Array`

#### # color Optional

Either a single color for the whole object or an array specifying the color at each vertex (`CustomShapeSpec`).

View Source GLShape.ts, line 1565

Type: `number`

#### # frame Optional

if set, only display in this frame of an animation

View Source GLShape.ts, line 1615

Type: `boolean`

#### # hidden Optional

if true, do not display object

View Source GLShape.ts, line 1580

Type: `Func`

#### # hover_callback Optional

hover callback

View Source GLShape.ts, line 1605

Type: `boolean`

#### # hoverable Optional

if true, user can hover on object to trigger callback

View Source GLShape.ts, line 1600

Type: `number`

#### # linewidth Optional

width of line for wireframe rendering No longer supported by most browsers

View Source GLShape.ts, line 1585

Type: `number`

#### # opacity Optional

transparency, between 0 (invisible) and 1 (opaque)

View Source GLShape.ts, line 1570

Type: `Func`

#### # unhover_callback Optional

unhover callback

View Source GLShape.ts, line 1610

Type: `boolean`

#### # wireframe Optional

draw as wireframe, not surface

View Source GLShape.ts, line 1575